- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BufferedWriter Class Reference

Inherits Writer.

List of all members.

## Detailed Description

Writes text to a character-output stream buffering requests to increase efficiency.

## Public Member Functions
| BufferedWriter (WriterPtr &out)
| BufferedWriter (WriterPtr &out, size_t sz)
virtual | ~BufferedWriter ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (const LogString &str, Pool &p)

## Constructor & Destructor Documentation

BufferedWriter | ( | WriterPtr & | out | ) |

BufferedWriter | ( | WriterPtr & | out,
|  | size_t | sz
| ) |

virtual ~BufferedWriter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[virtual]`

| Implements Writer.

virtual void flush | ( | Pool & | p | ) | `[virtual]`

| Implements Writer.

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) | `[virtual]`

| Implements Writer.

The documentation for this class was generated from the following file:

- bufferedwriter.h